function [x,y,z]=wspolrzedne(nx,ny,nz,P)
%Dla danego P - pozycji porzadkowej elementu zwraca jego wspolrzedne, 
%jakie by byly w macierzy o wymiarach nx,ny,nz;
  

k=P-1;
z=floor(k/(nx*ny))+1;
x=mod(k,nx)+1;
a=mod(k,nx*ny);
y=floor(a/nx)+1;
    

